# Gamuform
Plugin pour générer des formulaires via saisies et des vues via gamutable semi automatiquement.

## Configuration de l'interface pour chaque objet
### Chaines de langues de l'interface (2 possibilités)
* On déclare la `$GLOBALS['gamuform_i18n']['nom_objet']`
```php
$GLOBALS['gamuform_i18n'] =  array_merge(
	$GLOBALS['gamuform_i18n'] ?? [],
	[
		'app_competition' => [
			'singulier' => 'competition',
			'pluriel'   => 'compétitions',
			'creer'     => 'Créer une nouvelle compétition'
		]
	]
);
```
* On cree un fichier de lang mon_objet_fr.php, avec les 3 cles (singulier, pluriel, creer)


## Configuration des objets pour les saisies et pour l'affichage avec gamutable
Il faut creer une fonction gamuform/mon_objet.php avec une fonction qui renvoie l'array des saisies, qui peut etre enrichi par des entrées gamutables
> il y a un exemple commenté dans gamuform/exemple.php avec toutes les possibilités offertes

## Page
Il suffit d'appeler cette page `spip.php?page=voir_gamuform`, en paramettre le nom de l'objet voulu `&objet=auteur` :
`spip.php?page=voir_gamuform&objet=auteur`
